### Function

# GObject flags_get_value_by_name

since: 2.0

#### Declaration

    GFlagsValue*
    g_flags_get_value_by_name (
      GFlagsClass* flags_class,
      const gchar* name
    )

#### Description

Looks up a `GFlagsValue` by name.

Available since: 2.0

#### Parameters

`flags_class`

  Type: `GFlagsClass`

  A `GFlagsClass`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFlagsValue`

The `GFlagsValue` with name `name`, or `NULL` if there is no flag with that name.

The data is owned by the called function.
The return value can be `NULL`.